Bug 54679 - upgrading kernel fails
Summary: upgrading kernel fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-16 07:16 UTC by Mario Mikocevic
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-16 07:16:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mario Mikocevic 2001-10-16 07:16:50 UTC
Description of Problem:

upgrading from kernel-2.4.9-0.5 to kernel-2.4.9-0.18 fails !

Version-Release number of selected component (if applicable):


How Reproducible:

Always.

Steps to Reproduce:
1. 

rpm -ivh kernel-2.4.9-0.18.i686.rpm

2. 

rpm -e kernel-2.4.9-0.5

3. 

BANG!

Actual Results:

# rpm -e kernel-2.4.9-0.5       
error opening /boot/grub/grub.conf for read: No such file or directory
error: execution of %preun scriptlet from kernel-2.4.9-0.5 failed, exit
status 1


Expected Results:

No output.

Additional Information:

What a heck kernel needs grub, isn't a good ole LILO enough !?

Comment 1 Arjan van de Ven 2001-10-16 09:11:56 UTC
Our recent kernels support grub AND lilo, unfortionatly 2.4.9-0.5 had a bug in
that code...... should be fixed in 2.4.9-0.18


Note You need to log in before you can comment on or make changes to this bug.